## GDBusObjectProxy GDBusObjectProxy — Client-side D-Bus object |

## Functions

GDBusObjectProxy * | g_dbus_object_proxy_new ()
GDBusConnection * | g_dbus_object_proxy_get_connection ()

## Properties

GDBusConnection * | g-connection | Read / Write / Construct Only
gchar * | g-object-path | Read / Write / Construct Only

## Types and Values

| GDBusObjectProxy
struct | GDBusObjectProxyClass

## Object Hierarchy

        GObject
        ╰── GDBusObjectProxy

## Implemented Interfaces

GDBusObjectProxy implements GDBusObject.

## Includes

    #include <gio/gio.h>

## Description

A GDBusObjectProxy is an object used to represent a remote object with one or more D-Bus interfaces. Normally, you don't instantiate a GDBusObjectProxy yourself - typically GDBusObjectManagerClient is used to obtain it.

## Functions

### g_dbus_object_proxy_new ()

    GDBusObjectProxy *
    g_dbus_object_proxy_new (GDBusConnection *connection,
                             const gchar *object_path);

Creates a new GDBusObjectProxy for the given connection and object path.

#### Parameters

connection | a GDBusConnection |
object_path | the object path |

#### Returns

a new GDBusObjectProxy

Since: 2.30

### g_dbus_object_proxy_get_connection ()

    GDBusConnection *
    g_dbus_object_proxy_get_connection (GDBusObjectProxy *proxy);

Gets the connection that `proxy` is for.

#### Parameters

proxy | a GDBusObjectProxy |

#### Returns

A GDBusConnection. Do not free, the object is owned by `proxy` .

[transfer none]

Since: 2.30

## Types and Values

### GDBusObjectProxy

    typedef struct _GDBusObjectProxy GDBusObjectProxy;

The GDBusObjectProxy structure contains private data and should only be accessed using the provided API.

Since: 2.30

### struct GDBusObjectProxyClass

    struct GDBusObjectProxyClass {
      GObjectClass parent_class;
    };

Class structure for GDBusObjectProxy.

#### Members

Since: 2.30

## Property Details

### The `“g-connection”` property

      “g-connection”             GDBusConnection *

The connection of the proxy.

Owner: GDBusObjectProxy

Flags: Read / Write / Construct Only

Since: 2.30

### The `“g-object-path”` property

      “g-object-path”            gchar *

The object path of the proxy.

Owner: GDBusObjectProxy

Flags: Read / Write / Construct Only

Default value: NULL

Since: 2.30